import FieldCoreBase, { IStateFieldBase } from '@react-form-fields/core/components/FieldCoreBase';
import * as React from 'react';
import * as Autosuggest from 'react-autosuggest';
import { RenderSuggestionParams } from 'react-autosuggest';
import { IBaseFieldProps, TextFieldPropsResolver } from '../../interfaces/props';
interface IState extends IStateFieldBase {
    term: string;
    value: string;
    suggestions: IProps['options'][0][];
}
interface IProps extends IBaseFieldProps, TextFieldPropsResolver {
    value: any;
    onChange: (value: any) => void;
    options: {
        value: any;
        label: string;
    }[];
}
export default class FieldAutocomplete extends FieldCoreBase<IProps, IState> {
    constructor(props: IProps);
    static getDerivedStateFromProps(nextProps: IProps, currentState: IState): IState;
    onChange: (value: any) => void;
    getSuggestionValue: (suggestion: {
        value: any;
        label: string;
    }) => string;
    handleChange: (event: React.FormEvent<any>, params?: Autosuggest.ChangeEvent) => void;
    handleBlur: () => void;
    handleSelected: (event: React.FormEvent<any>, data: Autosuggest.SuggestionSelectedEventData<{
        value: any;
        label: string;
    }>) => void;
    handleSuggestionsFetchRequested: ({ value }: Autosuggest.SuggestionsFetchRequestedParams) => void;
    handleSuggestionsClearRequested: () => void;
    handleClearValue: () => void;
    shouldRenderSuggestions: () => boolean;
    render(): JSX.Element;
    renderSuggestion(suggestion: IProps['options'][0], { query, isHighlighted }: RenderSuggestionParams): JSX.Element;
}
export {};
